/**
 * choice.c
 *
 * AMLET (Another Mixed Logit Estimation Tool)
 * Copyright (C) 2010 Fabian Bastin <bastin@iro.umontreal.ca>
 *
 * Licensed under the Open Software License version 2.1
 */

#include "amlet.h"

/**
 * Check that expressed choices correspond to available alternatives
 *
 * @return 0 if no error has been found, AMLET_ERROR_CHOICES otherwise.
 */
int amlet_error_choice(FILE *f, int nobs, int *choices, int **availability)
{
  int i;
  int error = 0;

  /* We first tag the invalid observations */
  for (i = 0; i < nobs; i++) {
    if (!availability[i][choices[i]]) {
      choices[i] = -1;
      error = AMLET_ERROR_CHOICES;
      amlet_warning(f, 0, "observation %d is invalid.", i+1);
    }
  }

  return error;
}
