/**
 * individual.h
 *
 * AMLET Library
 * Copyright (C) 2004-2015 Fabian Bastin <bastin@iro.umontreal.ca>
 *
 * Licensed under the BSD License.
 **/

#ifndef __AMLET_INDIVIDUAL_H__
#define __AMLET_INDIVIDUAL_H__

#ifdef __cplusplus
extern "C" {
#endif

  typedef struct _amlet_ind amlet_ind;

  struct _amlet_ind {
    int choice;  /* choice expressed by the individual */
    double *prob_choice; /* vector of choice probabilities */
    double *grad_prob_choice; /* gradient of the choice probability, at the
				 expressed choice */
    int *alternatives; /* alternatives available for the individual */
    int nalt;          /* number of alternatives available to the individual */
  };

  amlet_ind *amlet_ind_new();

  void amlet_ind_free(amlet_ind *i);

#ifdef __cplusplus
}
#endif

#endif  /* __AMLET_INDIVIDUAL_H__ */
